package com.mortals.xhx.module.dimension.model;

import java.util.List;

/**
* 授权维度查询对象
*
* @author zxfei
* @date 2024-05-16
*/
public class DimensionQuery extends DimensionEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 维度编码 */
    private List<String> dimensionCodeList;

    /** 维度编码排除列表 */
    private List <String> dimensionCodeNotList;
    /** 维度名称 */
    private List<String> dimensionNameList;

    /** 维度名称排除列表 */
    private List <String> dimensionNameNotList;
    /** 维度值 */
    private List<String> dimensionValueList;

    /** 维度值排除列表 */
    private List <String> dimensionValueNotList;
    /** 开始 维度类型(1.固定值,2.系统上下问变量) */
    private Integer dimensionTypeStart;

    /** 结束 维度类型(1.固定值,2.系统上下问变量) */
    private Integer dimensionTypeEnd;

    /** 增加 维度类型(1.固定值,2.系统上下问变量) */
    private Integer dimensionTypeIncrement;

    /** 维度类型(1.固定值,2.系统上下问变量)列表 */
    private List <Integer> dimensionTypeList;

    /** 维度类型(1.固定值,2.系统上下问变量)排除列表 */
    private List <Integer> dimensionTypeNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DimensionQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DimensionQuery> andConditionList;

    public DimensionQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 维度编码
    * @return dimensionCodeList
    */
    public List<String> getDimensionCodeList(){
        return this.dimensionCodeList;
    }

    /**
    * 设置 维度编码
    * @param dimensionCodeList
    */
    public void setDimensionCodeList(List<String> dimensionCodeList){
        this.dimensionCodeList = dimensionCodeList;
    }

    /**
    * 获取 维度编码
    * @return dimensionCodeNotList
    */
    public List<String> getDimensionCodeNotList(){
        return this.dimensionCodeNotList;
    }

    /**
    * 设置 维度编码
    * @param dimensionCodeNotList
    */
    public void setDimensionCodeNotList(List<String> dimensionCodeNotList){
        this.dimensionCodeNotList = dimensionCodeNotList;
    }

    /**
    * 获取 维度名称
    * @return dimensionNameList
    */
    public List<String> getDimensionNameList(){
        return this.dimensionNameList;
    }

    /**
    * 设置 维度名称
    * @param dimensionNameList
    */
    public void setDimensionNameList(List<String> dimensionNameList){
        this.dimensionNameList = dimensionNameList;
    }

    /**
    * 获取 维度名称
    * @return dimensionNameNotList
    */
    public List<String> getDimensionNameNotList(){
        return this.dimensionNameNotList;
    }

    /**
    * 设置 维度名称
    * @param dimensionNameNotList
    */
    public void setDimensionNameNotList(List<String> dimensionNameNotList){
        this.dimensionNameNotList = dimensionNameNotList;
    }

    /**
    * 获取 维度值
    * @return dimensionValueList
    */
    public List<String> getDimensionValueList(){
        return this.dimensionValueList;
    }

    /**
    * 设置 维度值
    * @param dimensionValueList
    */
    public void setDimensionValueList(List<String> dimensionValueList){
        this.dimensionValueList = dimensionValueList;
    }

    /**
    * 获取 维度值
    * @return dimensionValueNotList
    */
    public List<String> getDimensionValueNotList(){
        return this.dimensionValueNotList;
    }

    /**
    * 设置 维度值
    * @param dimensionValueNotList
    */
    public void setDimensionValueNotList(List<String> dimensionValueNotList){
        this.dimensionValueNotList = dimensionValueNotList;
    }

    /**
    * 获取 开始 维度类型(1.固定值,2.系统上下问变量)
    * @return dimensionTypeStart
    */
    public Integer getDimensionTypeStart(){
        return this.dimensionTypeStart;
    }

    /**
    * 设置 开始 维度类型(1.固定值,2.系统上下问变量)
    * @param dimensionTypeStart
    */
    public void setDimensionTypeStart(Integer dimensionTypeStart){
        this.dimensionTypeStart = dimensionTypeStart;
    }

    /**
    * 获取 结束 维度类型(1.固定值,2.系统上下问变量)
    * @return $dimensionTypeEnd
    */
    public Integer getDimensionTypeEnd(){
        return this.dimensionTypeEnd;
    }

    /**
    * 设置 结束 维度类型(1.固定值,2.系统上下问变量)
    * @param dimensionTypeEnd
    */
    public void setDimensionTypeEnd(Integer dimensionTypeEnd){
        this.dimensionTypeEnd = dimensionTypeEnd;
    }

    /**
    * 获取 增加 维度类型(1.固定值,2.系统上下问变量)
    * @return dimensionTypeIncrement
    */
    public Integer getDimensionTypeIncrement(){
        return this.dimensionTypeIncrement;
    }

    /**
    * 设置 增加 维度类型(1.固定值,2.系统上下问变量)
    * @param dimensionTypeIncrement
    */
    public void setDimensionTypeIncrement(Integer dimensionTypeIncrement){
        this.dimensionTypeIncrement = dimensionTypeIncrement;
    }

    /**
    * 获取 维度类型(1.固定值,2.系统上下问变量)
    * @return dimensionTypeList
    */
    public List<Integer> getDimensionTypeList(){
        return this.dimensionTypeList;
    }

    /**
    * 设置 维度类型(1.固定值,2.系统上下问变量)
    * @param dimensionTypeList
    */
    public void setDimensionTypeList(List<Integer> dimensionTypeList){
        this.dimensionTypeList = dimensionTypeList;
    }

    /**
    * 获取 维度类型(1.固定值,2.系统上下问变量)
    * @return dimensionTypeNotList
    */
    public List<Integer> getDimensionTypeNotList(){
        return this.dimensionTypeNotList;
    }

    /**
    * 设置 维度类型(1.固定值,2.系统上下问变量)
    * @param dimensionTypeNotList
    */
    public void setDimensionTypeNotList(List<Integer> dimensionTypeNotList){
        this.dimensionTypeNotList = dimensionTypeNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public DimensionQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public DimensionQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public DimensionQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public DimensionQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public DimensionQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public DimensionQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 维度编码
    * @param dimensionCode
    */
    public DimensionQuery dimensionCode(String dimensionCode){
        setDimensionCode(dimensionCode);
		return this;
    }

    /**
    * 设置 维度编码
    * @param dimensionCodeList
    */
    public DimensionQuery dimensionCodeList(List<String> dimensionCodeList){
        this.dimensionCodeList = dimensionCodeList;
		return this;
    }


	/**
    * 设置 维度名称
    * @param dimensionName
    */
    public DimensionQuery dimensionName(String dimensionName){
        setDimensionName(dimensionName);
		return this;
    }

    /**
    * 设置 维度名称
    * @param dimensionNameList
    */
    public DimensionQuery dimensionNameList(List<String> dimensionNameList){
        this.dimensionNameList = dimensionNameList;
		return this;
    }


	/**
    * 设置 维度值
    * @param dimensionValue
    */
    public DimensionQuery dimensionValue(String dimensionValue){
        setDimensionValue(dimensionValue);
		return this;
    }

    /**
    * 设置 维度值
    * @param dimensionValueList
    */
    public DimensionQuery dimensionValueList(List<String> dimensionValueList){
        this.dimensionValueList = dimensionValueList;
		return this;
    }

    /**
    * 设置  维度类型(1.固定值,2.系统上下问变量)
    * @param dimensionType
    */
    public DimensionQuery dimensionType(Integer dimensionType){
	    setDimensionType(dimensionType);
		return this;
    }
	
	 /**
    * 设置 开始 维度类型(1.固定值,2.系统上下问变量)
    * @param dimensionTypeStart
    */
    public DimensionQuery dimensionTypeStart(Integer dimensionTypeStart){
		this.dimensionTypeStart = dimensionTypeStart;
		return this;
    }

    /**
    * 设置 结束 维度类型(1.固定值,2.系统上下问变量)
    * @param dimensionTypeEnd
    */
    public DimensionQuery dimensionTypeEnd(Integer dimensionTypeEnd){
		this.dimensionTypeEnd = dimensionTypeEnd;
		return this;
    }

    /**
    * 设置 增加 维度类型(1.固定值,2.系统上下问变量)
    * @param dimensionTypeIncrement
    */
    public DimensionQuery dimensionTypeIncrement(Integer dimensionTypeIncrement){
		this.dimensionTypeIncrement = dimensionTypeIncrement;
		return this;
    }

    /**
    * 设置 维度类型(1.固定值,2.系统上下问变量)
    * @param dimensionTypeList
    */
    public DimensionQuery dimensionTypeList(List<Integer> dimensionTypeList){
        this.dimensionTypeList = dimensionTypeList;
		return this;
        }

        /**
        * 设置 维度类型(1.固定值,2.系统上下问变量)
        * @param dimensionTypeNotList
        */
        public DimensionQuery dimensionTypeNotList(List<Integer> dimensionTypeNotList){
        this.dimensionTypeNotList = dimensionTypeNotList;
        return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DimensionQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DimensionQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DimensionQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DimensionQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DimensionQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public DimensionQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }

    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DimensionQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DimensionQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DimensionQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DimensionQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DimensionQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public DimensionQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DimensionQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DimensionQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DimensionQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DimensionQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}